Inboxes
Base URL: https://api.inboxical.com/v1
Create an inbox
Section titled “Create an inbox”POST /inboxesCreates a new isolated test inbox with a unique email address.
Request body (optional JSON)
| Field | Type | Description |
|---|---|---|
name | string | Human-readable label for this inbox |
Example
curl -X POST https://api.inboxical.com/v1/inboxes \ -H "X-API-Key: $API_KEY" \ -H "Content-Type: application/json" \ -d '{ "name": "signup-test" }'Response 201
{ "id": "ix_3f9a", "name": "signup-test", "message_count": 0, "created_at": "2026-03-21T12:00:00Z"}List inboxes
Section titled “List inboxes”GET /inboxesReturns a paginated list of your inboxes.
Query parameters
| Param | Default | Description |
|---|---|---|
page | 1 | Page number |
limit | 20 | Items per page (max 100) |
Example
curl https://api.inboxical.com/v1/inboxes?page=1&limit=20 \ -H "X-API-Key: $API_KEY"Response 200
{ "inboxes": [ { "id": "ix_3f9a", "name": "signup-test", "message_count": 3, "created_at": "2026-03-21T12:00:00Z" } ], "total": 42, "page": 1, "limit": 20}Get an inbox
Section titled “Get an inbox”GET /inboxes/:idExample
curl https://api.inboxical.com/v1/inboxes/ix_3f9a \ -H "X-API-Key: $API_KEY"Response 200 — same shape as create response.
Delete an inbox
Section titled “Delete an inbox”DELETE /inboxes/:idPermanently deletes the inbox and all its messages.
curl -X DELETE https://api.inboxical.com/v1/inboxes/ix_3f9a \ -H "X-API-Key: $API_KEY"Response 204 — no body.